<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
-->

<!DOCTYPE ServicesConfiguration
    PUBLIC "=//iPlanet//Service Management Services (SMS) 1.0 DTD//EN"
    "jar://com/sun/identity/sm/sms.dtd">


<ServicesConfiguration>
<Service name="srapGatewayAccessService" version="1.0">
    <Schema serviceHierarchy="/srap.configuration/srapGatewayAccessService" i18nFileName="srapGatewayAccess" i18nKey="sunPortalGatewayAccessServiceDescription">
        <Global>
            <AttributeSchema name="serviceObjectClasses"
                            type="list"
                            syntax="string"
                            i18nKey="">
                <DefaultValues>
                    <Value>sunPortalGatewayAccessService</Value>
                </DefaultValues>
            </AttributeSchema>
        </Global>

        <Dynamic>
            <AttributeSchema name="sunPortalGatewayAccessDenyList"
                             type="list"
                             syntax="string"
                             cosQualifier="default"
                             any="adminDisplay"
                             i18nKey="d01">
            </AttributeSchema>

            <AttributeSchema name="sunPortalGatewayAccessAllowList"
                             type="list"
                             syntax="string"
                             cosQualifier="default"
                             any="adminDisplay"
                             i18nKey="d02">
                <DefaultValues>
                    <Value>*</Value>
                </DefaultValues>
            </AttributeSchema>		

            <AttributeSchema name="sunPortalGatewayWWWDisableSSOHostList"
                             type="list"
                             syntax="string"
                             cosQualifier="default"
                             i18nKey="d03">
            </AttributeSchema>
		
            <AttributeSchema name="sunPortalGatewayWWWDoSSOPerSession"
                            type="single"
                            syntax="boolean"
                            cosQualifier="default"
                            i18nKey="d04">
		<DefaultValues>
			<Value>false</Value> 
		</DefaultValues>
            </AttributeSchema>
            <AttributeSchema name="sunPortalGatewayAllowedAuthLevel"
                                    type="single"
                                    syntax="string"
                                    any="adminDisplay"
                                    cosQualifier="default"
                                    i18nKey="d06">
		<DefaultValues>
			<Value>*</Value> 
		</DefaultValues>
            </AttributeSchema>
		
        </Dynamic>
        <Policy>
            <AttributeSchema name="sunPortalGatewayEnableSSO"
					 type="single"
					 syntax="boolean"
                                         any="adminDisplay"
					 i18nKey="d05">	
		<DefaultValues>
			<Value>true</Value> 
		</DefaultValues>
            </AttributeSchema>
        </Policy>
        <User>
            <AttributeSchema name="sunPortalGatewayWWWAuthorization"
                             type="list"
                             syntax="string"
                             i18nKey="">
            </AttributeSchema>

            <AttributeSchema name="sunPortalGatewayAccessDenyList"
                             type="list"
                             syntax="string"
                             any="adminDisplay"
                             i18nKey="d01">
            </AttributeSchema>

            <AttributeSchema name="sunPortalGatewayAccessAllowList"
                             type="list"
                             syntax="string"
                             any="adminDisplay"
                             i18nKey="d02">
            </AttributeSchema>		

            <AttributeSchema name="sunPortalGatewayWWWDisableSSOHostList"
                             type="list"
                             syntax="string"
                             i18nKey="d03">
            </AttributeSchema>
		
            <AttributeSchema name="sunPortalGatewayWWWDoSSOPerSession"
                            type="single"
                            syntax="boolean"
                            i18nKey="d04">
            </AttributeSchema>

            <AttributeSchema name="sunPortalGatewayAllowedAuthLevel"
                                    type="single"
                                    syntax="string"
                                    any="adminDisplay"
                                    i18nKey="d06">
            </AttributeSchema>

        </User>
    </Schema>
</Service>
</ServicesConfiguration>
